Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | Related Pages | Search for

# eoMerge< Chrom > Class Template Reference

eoMerge: Base class for elitist replacement algorithms. More...

`#include <eoMerge.h>`

Inheritance diagram for eoMerge< Chrom >:

List of all members.

## Detailed Description

### template<class Chrom>
class eoMerge< Chrom >

eoMerge: Base class for elitist replacement algorithms.

Merges the old population (first argument), with the new generation

Its signature is exactly that of the selection base eoSelect, but its purpose is to merge the two populations into one (the second argument). Note that the algorithms assume that the second argument denotes the next generation.

Definition at line 48 of file eoMerge.h.

The documentation for this class was generated from the following file:

- eoMerge.h